python-module-datastream-0.4.1-alt1.git20150108.1.2.noarch.rpm


Advertisement

Description

python-module-datastream - Datastream API provides a powerful and unified Python API for time-series data

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package name python-module-datastream
Package version 0.4.1
Package release alt1.git20150108.1.2
Package architecture noarch
Package type rpm
Installed size 306.37 KB
Download size 306.37 KB
Official Mirror ftp.altlinux.org
Datastream API is one of the projects of wlan slovenija open wireless
network. It is a Python API for time-series data which abstracts the
database which is used to store the data, providing a powerful and
unified API. It provides an easy way to insert time-series datapoints
and automatically downsample them into multiple levels of granularity
for efficient querying time-series data at various time scales.

Alternatives

Package Version Architecture Repository
python-module-datastream - - -

Requires

Name Value
/usr/lib/python2.7/site-packages -
python-modules -
python2.7(bson) -
python2.7(inspect) -
python2.7(mongoengine) -
python2.7(pymongo) -
python2.7(pytz) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
python-module-datastream = 0.4.1-alt1.git20150108.1.2
python2.7(datastream) -
python2.7(datastream.api) -
python2.7(datastream.backends) -
python2.7(datastream.backends.mongodb) -
python2.7(datastream.exceptions) -
python2.7(datastream.utils) -

Download

Type URL
Binary Package python-module-datastream-0.4.1-alt1.git20150108.1.2.noarch.rpm
Source Package python-module-datastream-0.4.1-alt1.git20150108.1.2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-datastream rpm package:
    # sudo apt-get install python-module-datastream

Files

Path
/usr/lib/python2.7/site-packages/datastream/__init__.py
/usr/lib/python2.7/site-packages/datastream/__init__.pyc
/usr/lib/python2.7/site-packages/datastream/__init__.pyo
/usr/lib/python2.7/site-packages/datastream/api.py
/usr/lib/python2.7/site-packages/datastream/api.pyc
/usr/lib/python2.7/site-packages/datastream/api.pyo
/usr/lib/python2.7/site-packages/datastream/exceptions.py
/usr/lib/python2.7/site-packages/datastream/exceptions.pyc
/usr/lib/python2.7/site-packages/datastream/exceptions.pyo
/usr/lib/python2.7/site-packages/datastream/utils.py
/usr/lib/python2.7/site-packages/datastream/utils.pyc
/usr/lib/python2.7/site-packages/datastream/utils.pyo
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/datastream-0.4.1-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/datastream/backends/__init__.py
/usr/lib/python2.7/site-packages/datastream/backends/__init__.pyc
/usr/lib/python2.7/site-packages/datastream/backends/__init__.pyo
/usr/lib/python2.7/site-packages/datastream/backends/mongodb.py
/usr/lib/python2.7/site-packages/datastream/backends/mongodb.pyc
/usr/lib/python2.7/site-packages/datastream/backends/mongodb.pyo
/usr/share/doc/python-module-datastream-0.4.1/README.rst

Changelog

2018-05-16 - Andrey Bychkov <mrdrew@altlinux.org> 0.4.1-alt1.git20150108.1.2
- (NMU) rebuild with python3.6
2016-03-13 - Ivan Zakharyaschev <imz@altlinux.org> 0.4.1-alt1.git20150108.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
(for common python3/site-packages/ and auto python3.3-ABI dep when needed)
2016-01-28 - Mikhail Efremov <sem@altlinux.org> 0.4.1-alt1.git20150108.1
- NMU: Use buildreq for BR.
2015-01-14 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.1-alt1.git20150108
- Initial build for Sisyphus

See Also

Package Description
python-module-datastream-docs-0.4.1-alt1.git20150108.1.2.noarch.rpm Documentation for datastream
python-module-datastream-pickles-0.4.1-alt1.git20150108.1.2.noarch.rpm Pickles for datastream
python-module-datastreams-0.2.6-alt1.git20150113.1.2.noarch.rpm A module for managing data in streams
python-module-dateparser-0.1.0-alt1.git20141125.1.1.noarch.rpm Python parser for human readable dates
python-module-dateparser-docs-0.1.0-alt1.git20141125.1.1.noarch.rpm Documentation for dateparser
python-module-dateparser-pickles-0.1.0-alt1.git20141125.1.1.noarch.rpm Pickles for dateparser
python-module-dateutil-2.7.3-alt1.noarch.rpm Extensions to the standard datetime module
python-module-db-0.4.2-alt2.git20150317.noarch.rpm A db package that doesn't suck
python-module-db-tests-0.4.2-alt2.git20150317.noarch.rpm Tests for db
python-module-dbarray-0.1.6-alt1.git20141122.1.1.noarch.rpm NumPy array stored in database
python-module-dbarray-docs-0.1.6-alt1.git20141122.1.1.noarch.rpm Documentation for dbarray
python-module-dbfpy-2.3.0-alt1.noarch.rpm Python module for accessing .dbf (xBase) files
python-module-dbfread-2.0.7-alt2.1.noarch.rpm Read DBF Files with Python
python-module-dbfread-docs-2.0.7-alt2.1.noarch.rpm Documentation for dbfread
python-module-dbfread-pickles-2.0.7-alt2.1.noarch.rpm Pickles for dbfread
Advertisement
Advertisement